Subject: Re: linux-next: build failure after merge of the mfd tree

From: Lee Jones <[email-masked]>
Date: Mon, 21 May 2012 10:19:32 +0100

On 21/05/12 10:10, Stephen Rothwell wrote:
> Hi Lee,
> 
> On Mon, 21 May 2012 10:01:20 +0100 Lee Jones<[email-masked]>  wrote:
>>
>> That seems broken to me.
>>
>> Why would any of the X86_64 systems be building ab8500-core code?
> 
> Because the Kconfig allows it to ...

I think the issue may be on the x86 side. In -next I see:

> arch/arm/configs/u8500_defconfig:CONFIG_AB8500_CORE=y
> drivers/mfd/Kconfig:config AB8500_CORE

Expected

> drivers/gpio/Kconfig:           depends on AB8500_CORE && BROKEN
> drivers/input/misc/Kconfig:     depends on AB8500_CORE
> drivers/mfd/Kconfig:            depends on AB8500_CORE && MFD_DB8500_PRCMU
> drivers/mfd/Kconfig:            depends on AB8500_CORE && DEBUG_FS
> drivers/mfd/Kconfig:            depends on AB8500_CORE && REGULATOR_AB8500
> drivers/misc/Kconfig:           depends on AB8500_CORE && ARCH_U8500
> drivers/power/Kconfig:          depends on AB8500_CORE && AB8500_GPADC
> drivers/regulator/Kconfig:      depends on AB8500_CORE
> drivers/rtc/Kconfig:            depends on AB8500_CORE
> drivers/usb/otg/Kconfig:        depends on AB8500_CORE

I've just checked these, they are all AB8500 related Kconfig entries.

> include/linux/mfd/abx500/ab8500-sysctrl.h:#ifdef CONFIG_AB8500_CORE
> include/linux/mfd/abx500/ab8500-sysctrl.h:#endif /* CONFIG_AB8500_CORE */

> drivers/mfd/Makefile:obj-$(CONFIG_AB8500_CORE)  += ab8500-core.o ab8500-sysctrl.o

So somewhere along the line an X86 config is selecting CONFIG_AB8500_CORE when it shouldn't. 

I can't see anything relevant in my tree. I'll try to pull yours as have a look.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515 
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog